<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<ng-container *ngLet="initializing$ | async as initializing">
  <div class="w-full h-full flex flex-col">
    <div class="w-full grow overflow-y-auto">
      <app-table-skeleton *ngIf="initializing" [includeSearch]="false"></app-table-skeleton>
      <div class="flex flex-col w-full h-full">
        <ng-container *ngLet="(templates$ | async) ?? [] as templates">
          <div *ngIf="templates.length <= 0" class="flex flex-col w-full h-32 justify-center text-center">
            <app-sad-face></app-sad-face>
            No Thing Descriptions
          </div>
          <ng-container *ngIf="templates.length > 0">
            <div *ngIf="!selectedTemplate" class="w-full h-full pt-2">
              <div *ngFor="let template of (templates$ | async) ?? []" class="border-b border-borderGrey">
                <div class="w-full flex gap-4 py-6 px-3 max-w-[800px]">
                  <div class="shrink-0 w-96">
                    <app-item-preview [item]="template" [showPropCount]="false"></app-item-preview>
                  </div>
                  <div class="shrink-0 w-96 pt-1">
                    <app-prop-count [template]="template"></app-prop-count>
                  </div>
                  <div class="grow flex justify-end items-center gap-10">
                    <div class="h-full">
                      <app-template-options [template]="template"></app-template-options>
                    </div>
                    <div class="h-full shrink-0">
                      <p-button severity="secondary" (click)="selectTemplate(template)">
                        <div class="flex items-center gap-3 text-white">
                          <i class="pi pi-file" style="font-size: 1rem"></i>
                          <div class="font-semibold text-base leading-none">Select Template</div>
                          <i class="pi pi-chevron-right" style="font-size: 0.8rem"></i>
                        </div>
                      </p-button>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <ng-container *ngIf="selectedTemplate">
              <div class="w-full grow overflow-y-auto">
                <app-template-detail [template]="selectedTemplate" (onBack)="selectedTemplate = undefined"></app-template-detail>
              </div>
            </ng-container>
          </ng-container>
        </ng-container>
      </div>
    </div>
  </div>
</ng-container>
